slepc-3.21.1 2024-04-26
Report Typos and Errors

# NEPRIISetLagPreconditioner

Determines when the preconditioner is rebuilt in the nonlinear solve.

### Synopsis

    #include "slepcnep.h"
    PetscErrorCode NEPRIISetLagPreconditioner(NEP nep,PetscInt lag)

Logically Collective

### Input Parameters

| nep | - nonlinear eigenvalue solver
| lag | - 0 indicates NEVER rebuild, 1 means rebuild every time the Jacobian is computed within the nonlinear iteration, 2 means every second time the Jacobian is built, etc.

### Options Database Keys

| -nep_rii_lag_preconditioner <lag> | - the lag value

### Notes

The default is 1. The preconditioner is ALWAYS built in the first iteration of a nonlinear solve.

### See Also

NEPRIIGetLagPreconditioner()

### Level

intermediate

### Location

src/nep/impls/rii/rii.c

### Examples

src/nep/tutorials/ex21.c
src/nep/tutorials/ex22.c
src/nep/tutorials/ex22f.F90
Index of all NEP routines
Table of Contents for all manual pages
Index of all manual pages